#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;
    scanf("%d",&n);
    int a[n],b[n];

    for(int i=0; i<n; i++) scanf("%d",&a[i]);
    for(int i=0; i<n; i++) scanf("%d",&b[i]);

    int xor=0;
    int MaksimalniXor=a[0];

    for(int i=0; i<n; i++)
    {
        xor^=a[i];

        if(a[i]>xor) xor=a[i];

        if(xor>MaksimalniXor) MaksimalniXor=xor;
    }

    int MaksimalniAnd=b[0]&b[1];
    int and;

    for(int i=1; i<n-1; i++)
    {
        and=b[i]&b[i+1];

        if(and>MaksimalniAnd) MaksimalniAnd=and;
    }

    printf("%d",MaksimalniAnd*MaksimalniXor);

    return 0;
}